Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 236569 - Sar reporting 100% CPU usage
Summary: Sar reporting 100% CPU usage
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: sysstat
Version: 4.0
Hardware: i686
OS: Linux
medium
medium
Target Milestone: ---
: ---
Assignee: Ivana Varekova
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2007-04-16 14:45 UTC by TJ Toedebusch
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: sysstat-5.0.5-14.rhel4
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-05-02 10:56:30 UTC


Attachments (Terms of Use)

Description TJ Toedebusch 2007-04-16 14:45:15 UTC
Description of problem:
Sar is reporting 100% CPU usage while mpstat and top show the correct CPU usage.

Version-Release number of selected component (if applicable):
RedHat EL 4.0

How reproducible:
Very

Steps to Reproduce:
1.  run sar and or sar # #
2.  run mpstat
3.  run top
4.  compare
  
Actual results:
10:43:07 AM       CPU     %user     %nice   %system   %iowait     %idle
10:43:08 AM       all     70.83      0.00     29.17      0.00      0.00
Average:          all     70.83      0.00     29.17      0.00      0.00

Expected results:
Linux 2.6.9-34.ELhugemem (mlsh022)      04/16/2007

10:43:27 AM  CPU   %user   %nice %system %iowait    %irq   %soft   %idle    
intr/s
10:43:27 AM  all    0.84    0.02    0.87    0.04    0.00    0.00   98.23   
1154.85

Additional info:

Comment 1 TJ Toedebusch 2007-04-16 19:00:46 UTC
sar -P ALL shows the correct CPU usage per processor, but the AVERAGE still 
shows 0% idle:

Average:          all     79.57      0.18     19.76      0.49      0.00
Average:            0     10.23      0.02      5.85      0.03     83.87
Average:            1      7.77      0.01      1.88      0.02     90.32
Average:            2      7.93      0.02      1.81      0.09     90.15
Average:            3      7.60      0.03      1.85      0.17     90.36
Average:            4      7.54      0.03      1.71      0.13     90.60
Average:            5      7.31      0.01      1.87      0.01     90.79
Average:            6      7.46      0.02      1.76      0.04     90.71
Average:            7      7.44      0.02      1.94      0.03     90.57
Average:            8      9.89      0.02      2.19      0.04     87.87
Average:            9      9.26      0.02      1.79      0.01     88.92
Average:           10      9.23      0.02      1.89      0.02     88.85
Average:           11      9.28      0.02      1.99      0.02     88.69
Average:           12      9.40      0.03      1.90      0.06     88.61
Average:           13      9.33      0.02      2.03      0.01     88.61
Average:           14      9.38      0.02      1.91      0.13     88.56
Average:           15      9.28      0.02      1.98      0.03     88.68


Comment 2 Ivana Varekova 2007-04-17 10:40:12 UTC
Please which version of sysstat do you use?

Comment 3 TJ Toedebusch 2007-04-17 13:11:11 UTC
Here are the versions of sysstat I am seeing this on:
sysstat-5.0.5-11.rhel4
sysstat-5.0.5-7.rhel4



Comment 4 Ivana Varekova 2007-05-02 10:56:30 UTC
This problem is fixed in sysstat-5.0.5-14.rhel4, if the problem persists after
the upgrade to 14.rhel4, please reopen this bug.


Note You need to log in before you can comment on or make changes to this bug.